;extra life stuff
.XLIFE_Init

	ld HL,XLIFE_List
	ld (XLIFE_ptr),HL
	ret

.XLIFE_Check
	ld HL,(XLIFE_ptr)
	ld DE,Current_Score
	call hi_score_compare
	
	ret C	;if (XLIFE_ptr)>Current_Score so ignore

;extra life sound
	ld A,sfx_1up	
	call SND_SfxPlay
;add extra life	
	ld HL,Current_Lives
	inc (HL)

;next score !
	ld HL,(XLIFE_ptr)
	ld DE,6
	add HL,DE
	ld (XLIFE_ptr),HL
	
;update lives
	call LIVES_Show

	ret


.XLIFE_ptr
	dw 0
.XLIFE_List
	db 0,5,0,0,0,0
	db 1,5,0,0,0,0
	db 2,5,0,0,0,0
	db 4,0,0,0,0,0
	db 6,0,0,0,0,0
	db 9,9,9,9,9,9